#if !defined(AFX_TRANSFERPAGE_H__BF6AF654_CA6E_47C4_83D0_AD723F7813F5__INCLUDED_)
#define AFX_TRANSFERPAGE_H__BF6AF654_CA6E_47C4_83D0_AD723F7813F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransferPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTransferPage dialog

class CTransferPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CTransferPage)

// Construction
public:
	CTransferPage();
	~CTransferPage();

// Dialog Data
	//{{AFX_DATA(CTransferPage)
	enum { IDD = IDD_TRANSFERPAGE };
	int		m_TypeFlagGroup;
	BOOL	m_UseAmbient1;
	BOOL	m_UseDiffuse1;
	BOOL	m_UseReflection1;
	BOOL	m_UseSpecular1;
	BOOL	m_UseTransparency1;
	BOOL	m_UseVertexFloatTransfer;
	CString	m_LayerCloudVerts;
	CString	m_LayerLines;
	CString	m_LayerLineVerts;
	CString	m_LayerMaxX;
	CString	m_LayerMaxY;
	CString	m_LayerMaxZ;
	CString	m_LayerMeshVerts;
	CString	m_LayerMinMaxName;
	CString	m_LayerMinX;
	CString	m_LayerMinY;
	CString	m_LayerMinZ;
	CString	m_LayerTriangles;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTransferPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTransferPage)
	afx_msg void OnTransferfrom();
	afx_msg void OnFasttransferfrom();
	afx_msg void OnTransferclear();
	afx_msg void OnTransferto();
	afx_msg void OnFasttransferto();
	afx_msg void OnTransferfree();
	afx_msg void OnSpecialtransferfrom();
	afx_msg void OnSpecialfasttransferfrom();
	afx_msg void OnSpecialtransferto();
	afx_msg void OnSpecialfasttransferto();
	afx_msg void OnTransfergreenknight();
	afx_msg void OnTransfertexturesquare1();
	afx_msg void OnTransfersquare2();
	afx_msg void OnTransfersquare3();
	afx_msg void OnTransferredknight();
	afx_msg void OnTransferblueknight();
	afx_msg void OnTransferfromtypeflag0();
	afx_msg void OnTransferfromtypeflag1();
	afx_msg void OnTransferfromtypeflag2();
	virtual BOOL OnInitDialog();
	afx_msg void OnTransferbluemonk();
	afx_msg void OnTransfergreenmonk();
	afx_msg void OnUseambient1();
	afx_msg void OnUsediffuse1();
	afx_msg void OnUsereflection1();
	afx_msg void OnUsespecular1();
	afx_msg void OnUsetransparency1();
	afx_msg void OnTransfermultimatknight();
	afx_msg void OnUsevertexfloattransfer();
	afx_msg void OnSelectfirstlayer();
	afx_msg void OnSelectnextlayer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSFERPAGE_H__BF6AF654_CA6E_47C4_83D0_AD723F7813F5__INCLUDED_)
